"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Space = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

require("./index.css");

var _excluded = ["className", "direction", "size", "align", "wrap", "style"];

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var getValue = function getValue(value) {
  return value ? value : '';
};

var parseSize = {
  sm: 'sm',
  lg: 'lg'
};

var Space = function Space(_ref) {
  var className = _ref.className,
      direction = _ref.direction,
      size = _ref.size,
      align = _ref.align,
      wrap = _ref.wrap,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, _excluded);

  var isSizeClass = parseSize[size];

  if (size && !isSizeClass) {
    style.gap = size;
  } else {
    style.gap = undefined;
  }

  return /*#__PURE__*/_react.default.createElement("div", _extends({
    style: _objectSpread({}, style),
    className: "bt-space ".concat(direction, " ").concat(isSizeClass ? size : '', " ").concat(align ? align : '', " ").concat(wrap ? 'wrap' : '', " ").concat(className)
  }, props));
};

exports.Space = Space;
Space.defaultProps = {
  style: {},
  className: '',
  children: '',
  direction: 'horizontal',
  size: undefined,
  align: undefined,
  wrap: true
};
Space.propTypes = {
  style: _propTypes.default.instanceOf(Object),
  className: _propTypes.default.string,
  children: _propTypes.default.any,
  direction: _propTypes.default.oneOf(['horizontal', 'vertical']),
  size: _propTypes.default.string,
  align: _propTypes.default.oneOf(['start', 'end', 'center', 'baseline']),
  wrap: _propTypes.default.bool
};
var _default = Space;
exports.default = _default;